
package org.opentravel.ota._2003._05;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * Indicates preferences for certain types of flights, such as connections or stopovers, when used for a specific travel situation.
 *             
 * 
 * <p>Java class for FlightTypePrefType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FlightTypePrefType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}PreferLevelGroup"/>
 *       &lt;attribute name="BackhaulIndicator" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="DirectAndNonStopOnlyInd" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="FlightType" type="{http://www.opentravel.org/OTA/2003/05}FlightTypeType" />
 *       &lt;attribute name="MaxConnections" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" />
 *       &lt;attribute name="NonScheduledFltInfo">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *             &lt;enumeration value="ChartersOnly"/>
 *             &lt;enumeration value="ExcludeCharters"/>
 *             &lt;enumeration value="All"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *       &lt;attribute name="NonStopsOnlyInd" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="OnlineConnectionsOnlyInd" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="RoutingType">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *             &lt;enumeration value="Normal"/>
 *             &lt;enumeration value="Mirror"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FlightTypePrefType")
public class FlightTypePrefType {

    @XmlAttribute(name = "BackhaulIndicator")
    protected Boolean backhaulIndicator;
    @XmlAttribute(name = "DirectAndNonStopOnlyInd")
    protected Boolean directAndNonStopOnlyInd;
    @XmlAttribute(name = "FlightType")
    protected FlightTypeType flightType;
    @XmlAttribute(name = "MaxConnections")
    protected BigInteger maxConnections;
    @XmlAttribute(name = "NonScheduledFltInfo")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String nonScheduledFltInfo;
    @XmlAttribute(name = "NonStopsOnlyInd")
    protected Boolean nonStopsOnlyInd;
    @XmlAttribute(name = "OnlineConnectionsOnlyInd")
    protected Boolean onlineConnectionsOnlyInd;
    @XmlAttribute(name = "RoutingType")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String routingType;
    @XmlAttribute(name = "PreferLevel")
    protected PreferLevelType preferLevel;

    /**
     * Gets the value of the backhaulIndicator property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isBackhaulIndicator() {
        return backhaulIndicator;
    }

    /**
     * Sets the value of the backhaulIndicator property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setBackhaulIndicator(Boolean value) {
        this.backhaulIndicator = value;
    }

    /**
     * Gets the value of the directAndNonStopOnlyInd property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isDirectAndNonStopOnlyInd() {
        return directAndNonStopOnlyInd;
    }

    /**
     * Sets the value of the directAndNonStopOnlyInd property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setDirectAndNonStopOnlyInd(Boolean value) {
        this.directAndNonStopOnlyInd = value;
    }

    /**
     * Gets the value of the flightType property.
     * 
     * @return
     *     possible object is
     *     {@link FlightTypeType }
     *     
     */
    public FlightTypeType getFlightType() {
        return flightType;
    }

    /**
     * Sets the value of the flightType property.
     * 
     * @param value
     *     allowed object is
     *     {@link FlightTypeType }
     *     
     */
    public void setFlightType(FlightTypeType value) {
        this.flightType = value;
    }

    /**
     * Gets the value of the maxConnections property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getMaxConnections() {
        return maxConnections;
    }

    /**
     * Sets the value of the maxConnections property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setMaxConnections(BigInteger value) {
        this.maxConnections = value;
    }

    /**
     * Gets the value of the nonScheduledFltInfo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNonScheduledFltInfo() {
        return nonScheduledFltInfo;
    }

    /**
     * Sets the value of the nonScheduledFltInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNonScheduledFltInfo(String value) {
        this.nonScheduledFltInfo = value;
    }

    /**
     * Gets the value of the nonStopsOnlyInd property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isNonStopsOnlyInd() {
        return nonStopsOnlyInd;
    }

    /**
     * Sets the value of the nonStopsOnlyInd property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setNonStopsOnlyInd(Boolean value) {
        this.nonStopsOnlyInd = value;
    }

    /**
     * Gets the value of the onlineConnectionsOnlyInd property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isOnlineConnectionsOnlyInd() {
        return onlineConnectionsOnlyInd;
    }

    /**
     * Sets the value of the onlineConnectionsOnlyInd property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setOnlineConnectionsOnlyInd(Boolean value) {
        this.onlineConnectionsOnlyInd = value;
    }

    /**
     * Gets the value of the routingType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getRoutingType() {
        return routingType;
    }

    /**
     * Sets the value of the routingType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setRoutingType(String value) {
        this.routingType = value;
    }

    /**
     * Gets the value of the preferLevel property.
     * 
     * @return
     *     possible object is
     *     {@link PreferLevelType }
     *     
     */
    public PreferLevelType getPreferLevel() {
        if (preferLevel == null) {
            return PreferLevelType.PREFERRED;
        } else {
            return preferLevel;
        }
    }

    /**
     * Sets the value of the preferLevel property.
     * 
     * @param value
     *     allowed object is
     *     {@link PreferLevelType }
     *     
     */
    public void setPreferLevel(PreferLevelType value) {
        this.preferLevel = value;
    }

}
