
package org.opentravel.ota._2003._05;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * Provides vendor with information about the traveler(s)' requirements for insurance coverage.
 * 
 * <p>Java class for InsCoverageDetailType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InsCoverageDetailType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="CoverageRequirements" type="{http://www.opentravel.org/OTA/2003/05}RequestedCoveragesType" minOccurs="0"/>
 *         &lt;element name="TotalTripQuantity" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}QuantityGroup"/>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="MaximumTripLength" type="{http://www.opentravel.org/OTA/2003/05}TimeDurationType" minOccurs="0"/>
 *         &lt;element name="TotalTripCost" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}CurrencyAmountGroup"/>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="CoveredTrips" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="CoveredTrip" maxOccurs="99">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;extension base="{http://www.opentravel.org/OTA/2003/05}TripFeaturesType">
 *                           &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}DateTimeSpanGroup"/>
 *                           &lt;attribute name="DepositDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
 *                           &lt;attribute name="FinalPayDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
 *                         &lt;/extension>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="DeliveryPref" type="{http://www.opentravel.org/OTA/2003/05}DistribPrefType" maxOccurs="5" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}EffectiveExpireOptionalDateGroup"/>
 *       &lt;attribute name="AutoRenew" type="{http://www.w3.org/2001/XMLSchema}boolean" />
 *       &lt;attribute name="Type" use="required">
 *         &lt;simpleType>
 *           &lt;restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
 *             &lt;enumeration value="SingleTrip"/>
 *             &lt;enumeration value="MultiTrip"/>
 *             &lt;enumeration value="Other"/>
 *           &lt;/restriction>
 *         &lt;/simpleType>
 *       &lt;/attribute>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InsCoverageDetailType", propOrder = {
    "coverageRequirements",
    "totalTripQuantity",
    "maximumTripLength",
    "totalTripCost",
    "coveredTrips",
    "deliveryPref"
})
public class InsCoverageDetailType {

    @XmlElement(name = "CoverageRequirements")
    protected RequestedCoveragesType coverageRequirements;
    @XmlElement(name = "TotalTripQuantity")
    protected InsCoverageDetailType.TotalTripQuantity totalTripQuantity;
    @XmlElement(name = "MaximumTripLength")
    protected TimeDurationType maximumTripLength;
    @XmlElement(name = "TotalTripCost")
    protected InsCoverageDetailType.TotalTripCost totalTripCost;
    @XmlElement(name = "CoveredTrips")
    protected InsCoverageDetailType.CoveredTrips coveredTrips;
    @XmlElement(name = "DeliveryPref")
    protected List<DistribPrefType> deliveryPref;
    @XmlAttribute(name = "AutoRenew")
    protected Boolean autoRenew;
    @XmlAttribute(name = "Type", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String type;
    @XmlAttribute(name = "EffectiveDate")
    protected XMLGregorianCalendar effectiveDate;
    @XmlAttribute(name = "ExpireDate")
    protected XMLGregorianCalendar expireDate;

    /**
     * Gets the value of the coverageRequirements property.
     * 
     * @return
     *     possible object is
     *     {@link RequestedCoveragesType }
     *     
     */
    public RequestedCoveragesType getCoverageRequirements() {
        return coverageRequirements;
    }

    /**
     * Sets the value of the coverageRequirements property.
     * 
     * @param value
     *     allowed object is
     *     {@link RequestedCoveragesType }
     *     
     */
    public void setCoverageRequirements(RequestedCoveragesType value) {
        this.coverageRequirements = value;
    }

    /**
     * Gets the value of the totalTripQuantity property.
     * 
     * @return
     *     possible object is
     *     {@link InsCoverageDetailType.TotalTripQuantity }
     *     
     */
    public InsCoverageDetailType.TotalTripQuantity getTotalTripQuantity() {
        return totalTripQuantity;
    }

    /**
     * Sets the value of the totalTripQuantity property.
     * 
     * @param value
     *     allowed object is
     *     {@link InsCoverageDetailType.TotalTripQuantity }
     *     
     */
    public void setTotalTripQuantity(InsCoverageDetailType.TotalTripQuantity value) {
        this.totalTripQuantity = value;
    }

    /**
     * Gets the value of the maximumTripLength property.
     * 
     * @return
     *     possible object is
     *     {@link TimeDurationType }
     *     
     */
    public TimeDurationType getMaximumTripLength() {
        return maximumTripLength;
    }

    /**
     * Sets the value of the maximumTripLength property.
     * 
     * @param value
     *     allowed object is
     *     {@link TimeDurationType }
     *     
     */
    public void setMaximumTripLength(TimeDurationType value) {
        this.maximumTripLength = value;
    }

    /**
     * Gets the value of the totalTripCost property.
     * 
     * @return
     *     possible object is
     *     {@link InsCoverageDetailType.TotalTripCost }
     *     
     */
    public InsCoverageDetailType.TotalTripCost getTotalTripCost() {
        return totalTripCost;
    }

    /**
     * Sets the value of the totalTripCost property.
     * 
     * @param value
     *     allowed object is
     *     {@link InsCoverageDetailType.TotalTripCost }
     *     
     */
    public void setTotalTripCost(InsCoverageDetailType.TotalTripCost value) {
        this.totalTripCost = value;
    }

    /**
     * Gets the value of the coveredTrips property.
     * 
     * @return
     *     possible object is
     *     {@link InsCoverageDetailType.CoveredTrips }
     *     
     */
    public InsCoverageDetailType.CoveredTrips getCoveredTrips() {
        return coveredTrips;
    }

    /**
     * Sets the value of the coveredTrips property.
     * 
     * @param value
     *     allowed object is
     *     {@link InsCoverageDetailType.CoveredTrips }
     *     
     */
    public void setCoveredTrips(InsCoverageDetailType.CoveredTrips value) {
        this.coveredTrips = value;
    }

    /**
     * Gets the value of the deliveryPref property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the deliveryPref property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDeliveryPref().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link DistribPrefType }
     * 
     * 
     */
    public List<DistribPrefType> getDeliveryPref() {
        if (deliveryPref == null) {
            deliveryPref = new ArrayList<DistribPrefType>();
        }
        return this.deliveryPref;
    }

    /**
     * Gets the value of the autoRenew property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isAutoRenew() {
        return autoRenew;
    }

    /**
     * Sets the value of the autoRenew property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setAutoRenew(Boolean value) {
        this.autoRenew = value;
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setType(String value) {
        this.type = value;
    }

    /**
     * Gets the value of the effectiveDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getEffectiveDate() {
        return effectiveDate;
    }

    /**
     * Sets the value of the effectiveDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setEffectiveDate(XMLGregorianCalendar value) {
        this.effectiveDate = value;
    }

    /**
     * Gets the value of the expireDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getExpireDate() {
        return expireDate;
    }

    /**
     * Sets the value of the expireDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setExpireDate(XMLGregorianCalendar value) {
        this.expireDate = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="CoveredTrip" maxOccurs="99">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;extension base="{http://www.opentravel.org/OTA/2003/05}TripFeaturesType">
     *                 &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}DateTimeSpanGroup"/>
     *                 &lt;attribute name="DepositDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
     *                 &lt;attribute name="FinalPayDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
     *               &lt;/extension>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "coveredTrip"
    })
    public static class CoveredTrips {

        @XmlElement(name = "CoveredTrip", required = true)
        protected List<InsCoverageDetailType.CoveredTrips.CoveredTrip> coveredTrip;

        /**
         * Gets the value of the coveredTrip property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the coveredTrip property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getCoveredTrip().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link InsCoverageDetailType.CoveredTrips.CoveredTrip }
         * 
         * 
         */
        public List<InsCoverageDetailType.CoveredTrips.CoveredTrip> getCoveredTrip() {
            if (coveredTrip == null) {
                coveredTrip = new ArrayList<InsCoverageDetailType.CoveredTrips.CoveredTrip>();
            }
            return this.coveredTrip;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;extension base="{http://www.opentravel.org/OTA/2003/05}TripFeaturesType">
         *       &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}DateTimeSpanGroup"/>
         *       &lt;attribute name="DepositDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
         *       &lt;attribute name="FinalPayDate" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
         *     &lt;/extension>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "")
        public static class CoveredTrip
            extends TripFeaturesType
        {

            @XmlAttribute(name = "DepositDate")
            protected XMLGregorianCalendar depositDate;
            @XmlAttribute(name = "FinalPayDate")
            protected XMLGregorianCalendar finalPayDate;
            @XmlAttribute(name = "Duration")
            protected String duration;
            @XmlAttribute(name = "End")
            protected String end;
            @XmlAttribute(name = "Start")
            protected String start;

            /**
             * Gets the value of the depositDate property.
             * 
             * @return
             *     possible object is
             *     {@link XMLGregorianCalendar }
             *     
             */
            public XMLGregorianCalendar getDepositDate() {
                return depositDate;
            }

            /**
             * Sets the value of the depositDate property.
             * 
             * @param value
             *     allowed object is
             *     {@link XMLGregorianCalendar }
             *     
             */
            public void setDepositDate(XMLGregorianCalendar value) {
                this.depositDate = value;
            }

            /**
             * Gets the value of the finalPayDate property.
             * 
             * @return
             *     possible object is
             *     {@link XMLGregorianCalendar }
             *     
             */
            public XMLGregorianCalendar getFinalPayDate() {
                return finalPayDate;
            }

            /**
             * Sets the value of the finalPayDate property.
             * 
             * @param value
             *     allowed object is
             *     {@link XMLGregorianCalendar }
             *     
             */
            public void setFinalPayDate(XMLGregorianCalendar value) {
                this.finalPayDate = value;
            }

            /**
             * Gets the value of the duration property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getDuration() {
                return duration;
            }

            /**
             * Sets the value of the duration property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setDuration(String value) {
                this.duration = value;
            }

            /**
             * Gets the value of the end property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getEnd() {
                return end;
            }

            /**
             * Sets the value of the end property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setEnd(String value) {
                this.end = value;
            }

            /**
             * Gets the value of the start property.
             * 
             * @return
             *     possible object is
             *     {@link String }
             *     
             */
            public String getStart() {
                return start;
            }

            /**
             * Sets the value of the start property.
             * 
             * @param value
             *     allowed object is
             *     {@link String }
             *     
             */
            public void setStart(String value) {
                this.start = value;
            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}CurrencyAmountGroup"/>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class TotalTripCost {

        @XmlAttribute(name = "Amount")
        protected BigDecimal amount;
        @XmlAttribute(name = "CurrencyCode")
        protected String currencyCode;
        @XmlAttribute(name = "DecimalPlaces")
        protected BigInteger decimalPlaces;

        /**
         * Gets the value of the amount property.
         * 
         * @return
         *     possible object is
         *     {@link BigDecimal }
         *     
         */
        public BigDecimal getAmount() {
            return amount;
        }

        /**
         * Sets the value of the amount property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigDecimal }
         *     
         */
        public void setAmount(BigDecimal value) {
            this.amount = value;
        }

        /**
         * Gets the value of the currencyCode property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getCurrencyCode() {
            return currencyCode;
        }

        /**
         * Sets the value of the currencyCode property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setCurrencyCode(String value) {
            this.currencyCode = value;
        }

        /**
         * Gets the value of the decimalPlaces property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getDecimalPlaces() {
            return decimalPlaces;
        }

        /**
         * Sets the value of the decimalPlaces property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setDecimalPlaces(BigInteger value) {
            this.decimalPlaces = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;attGroup ref="{http://www.opentravel.org/OTA/2003/05}QuantityGroup"/>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class TotalTripQuantity {

        @XmlAttribute(name = "Quantity")
        protected Integer quantity;

        /**
         * Gets the value of the quantity property.
         * 
         * @return
         *     possible object is
         *     {@link Integer }
         *     
         */
        public Integer getQuantity() {
            return quantity;
        }

        /**
         * Sets the value of the quantity property.
         * 
         * @param value
         *     allowed object is
         *     {@link Integer }
         *     
         */
        public void setQuantity(Integer value) {
            this.quantity = value;
        }

    }

}
