
package org.opentravel.ota._2003._05;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * The RailReservationType complex type defines the information used to fully describe a rail reservation.
 * 
 * <p>Java class for RailReservationType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RailReservationType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="BookingID" type="{http://www.opentravel.org/OTA/2003/05}UniqueID_Type"/>
 *         &lt;element name="Itinerary">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="OriginandDestinations">
 *                     &lt;complexType>
 *                       &lt;complexContent>
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                           &lt;sequence>
 *                             &lt;element name="OriginandDestination" maxOccurs="9">
 *                               &lt;complexType>
 *                                 &lt;complexContent>
 *                                   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                                     &lt;sequence>
 *                                       &lt;element name="OriginLocation" type="{http://www.opentravel.org/OTA/2003/05}LocationType"/>
 *                                       &lt;element name="DestinationLocation" type="{http://www.opentravel.org/OTA/2003/05}LocationType"/>
 *                                       &lt;element name="TrainSegments">
 *                                         &lt;complexType>
 *                                           &lt;complexContent>
 *                                             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                                               &lt;sequence>
 *                                                 &lt;element name="TrainSegment" type="{http://www.opentravel.org/OTA/2003/05}BookedTrainSegmentType" maxOccurs="9"/>
 *                                               &lt;/sequence>
 *                                             &lt;/restriction>
 *                                           &lt;/complexContent>
 *                                         &lt;/complexType>
 *                                       &lt;/element>
 *                                     &lt;/sequence>
 *                                   &lt;/restriction>
 *                                 &lt;/complexContent>
 *                               &lt;/complexType>
 *                             &lt;/element>
 *                           &lt;/sequence>
 *                         &lt;/restriction>
 *                       &lt;/complexContent>
 *                     &lt;/complexType>
 *                   &lt;/element>
 *                   &lt;element name="RailCharges" type="{http://www.opentravel.org/OTA/2003/05}RailChargesType" minOccurs="0"/>
 *                   &lt;element name="VendorMessages" type="{http://www.opentravel.org/OTA/2003/05}VendorMessagesType" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;choice>
 *           &lt;element name="TravelerNames">
 *             &lt;complexType>
 *               &lt;complexContent>
 *                 &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                   &lt;sequence>
 *                     &lt;element name="TravelerName" type="{http://www.opentravel.org/OTA/2003/05}PersonNameType" maxOccurs="99"/>
 *                   &lt;/sequence>
 *                 &lt;/restriction>
 *               &lt;/complexContent>
 *             &lt;/complexType>
 *           &lt;/element>
 *           &lt;element name="TravelerCount" type="{http://www.opentravel.org/OTA/2003/05}TravelerCountType" maxOccurs="5"/>
 *         &lt;/choice>
 *         &lt;element name="PaymentRules" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="PaymentRule" type="{http://www.opentravel.org/OTA/2003/05}MonetaryRuleType" maxOccurs="9"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="Fulfillment" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="DeliveryAddress" type="{http://www.opentravel.org/OTA/2003/05}AddressType" minOccurs="0"/>
 *                   &lt;element name="Name" type="{http://www.opentravel.org/OTA/2003/05}PersonNameType" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element ref="{http://www.opentravel.org/OTA/2003/05}TPA_Extensions" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="LastHoldDate" type="{http://www.w3.org/2001/XMLSchema}date" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RailReservationType", propOrder = {
    "bookingID",
    "itinerary",
    "travelerNames",
    "travelerCount",
    "paymentRules",
    "fulfillment",
    "tpaExtensions"
})
public class RailReservationType {

    @XmlElement(name = "BookingID", required = true)
    protected UniqueIDType bookingID;
    @XmlElement(name = "Itinerary", required = true)
    protected RailReservationType.Itinerary itinerary;
    @XmlElement(name = "TravelerNames")
    protected RailReservationType.TravelerNames travelerNames;
    @XmlElement(name = "TravelerCount")
    protected List<TravelerCountType> travelerCount;
    @XmlElement(name = "PaymentRules")
    protected RailReservationType.PaymentRules paymentRules;
    @XmlElement(name = "Fulfillment")
    protected RailReservationType.Fulfillment fulfillment;
    @XmlElement(name = "TPA_Extensions")
    protected TPAExtensionsType tpaExtensions;
    @XmlAttribute(name = "LastHoldDate")
    protected XMLGregorianCalendar lastHoldDate;

    /**
     * Gets the value of the bookingID property.
     * 
     * @return
     *     possible object is
     *     {@link UniqueIDType }
     *     
     */
    public UniqueIDType getBookingID() {
        return bookingID;
    }

    /**
     * Sets the value of the bookingID property.
     * 
     * @param value
     *     allowed object is
     *     {@link UniqueIDType }
     *     
     */
    public void setBookingID(UniqueIDType value) {
        this.bookingID = value;
    }

    /**
     * Gets the value of the itinerary property.
     * 
     * @return
     *     possible object is
     *     {@link RailReservationType.Itinerary }
     *     
     */
    public RailReservationType.Itinerary getItinerary() {
        return itinerary;
    }

    /**
     * Sets the value of the itinerary property.
     * 
     * @param value
     *     allowed object is
     *     {@link RailReservationType.Itinerary }
     *     
     */
    public void setItinerary(RailReservationType.Itinerary value) {
        this.itinerary = value;
    }

    /**
     * Gets the value of the travelerNames property.
     * 
     * @return
     *     possible object is
     *     {@link RailReservationType.TravelerNames }
     *     
     */
    public RailReservationType.TravelerNames getTravelerNames() {
        return travelerNames;
    }

    /**
     * Sets the value of the travelerNames property.
     * 
     * @param value
     *     allowed object is
     *     {@link RailReservationType.TravelerNames }
     *     
     */
    public void setTravelerNames(RailReservationType.TravelerNames value) {
        this.travelerNames = value;
    }

    /**
     * Gets the value of the travelerCount property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the travelerCount property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTravelerCount().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TravelerCountType }
     * 
     * 
     */
    public List<TravelerCountType> getTravelerCount() {
        if (travelerCount == null) {
            travelerCount = new ArrayList<TravelerCountType>();
        }
        return this.travelerCount;
    }

    /**
     * Gets the value of the paymentRules property.
     * 
     * @return
     *     possible object is
     *     {@link RailReservationType.PaymentRules }
     *     
     */
    public RailReservationType.PaymentRules getPaymentRules() {
        return paymentRules;
    }

    /**
     * Sets the value of the paymentRules property.
     * 
     * @param value
     *     allowed object is
     *     {@link RailReservationType.PaymentRules }
     *     
     */
    public void setPaymentRules(RailReservationType.PaymentRules value) {
        this.paymentRules = value;
    }

    /**
     * Gets the value of the fulfillment property.
     * 
     * @return
     *     possible object is
     *     {@link RailReservationType.Fulfillment }
     *     
     */
    public RailReservationType.Fulfillment getFulfillment() {
        return fulfillment;
    }

    /**
     * Sets the value of the fulfillment property.
     * 
     * @param value
     *     allowed object is
     *     {@link RailReservationType.Fulfillment }
     *     
     */
    public void setFulfillment(RailReservationType.Fulfillment value) {
        this.fulfillment = value;
    }

    /**
     * Gets the value of the tpaExtensions property.
     * 
     * @return
     *     possible object is
     *     {@link TPAExtensionsType }
     *     
     */
    public TPAExtensionsType getTPAExtensions() {
        return tpaExtensions;
    }

    /**
     * Sets the value of the tpaExtensions property.
     * 
     * @param value
     *     allowed object is
     *     {@link TPAExtensionsType }
     *     
     */
    public void setTPAExtensions(TPAExtensionsType value) {
        this.tpaExtensions = value;
    }

    /**
     * Gets the value of the lastHoldDate property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getLastHoldDate() {
        return lastHoldDate;
    }

    /**
     * Sets the value of the lastHoldDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setLastHoldDate(XMLGregorianCalendar value) {
        this.lastHoldDate = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="DeliveryAddress" type="{http://www.opentravel.org/OTA/2003/05}AddressType" minOccurs="0"/>
     *         &lt;element name="Name" type="{http://www.opentravel.org/OTA/2003/05}PersonNameType" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "deliveryAddress",
        "name"
    })
    public static class Fulfillment {

        @XmlElement(name = "DeliveryAddress")
        protected AddressType deliveryAddress;
        @XmlElement(name = "Name")
        protected PersonNameType name;

        /**
         * Gets the value of the deliveryAddress property.
         * 
         * @return
         *     possible object is
         *     {@link AddressType }
         *     
         */
        public AddressType getDeliveryAddress() {
            return deliveryAddress;
        }

        /**
         * Sets the value of the deliveryAddress property.
         * 
         * @param value
         *     allowed object is
         *     {@link AddressType }
         *     
         */
        public void setDeliveryAddress(AddressType value) {
            this.deliveryAddress = value;
        }

        /**
         * Gets the value of the name property.
         * 
         * @return
         *     possible object is
         *     {@link PersonNameType }
         *     
         */
        public PersonNameType getName() {
            return name;
        }

        /**
         * Sets the value of the name property.
         * 
         * @param value
         *     allowed object is
         *     {@link PersonNameType }
         *     
         */
        public void setName(PersonNameType value) {
            this.name = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="OriginandDestinations">
     *           &lt;complexType>
     *             &lt;complexContent>
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                 &lt;sequence>
     *                   &lt;element name="OriginandDestination" maxOccurs="9">
     *                     &lt;complexType>
     *                       &lt;complexContent>
     *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                           &lt;sequence>
     *                             &lt;element name="OriginLocation" type="{http://www.opentravel.org/OTA/2003/05}LocationType"/>
     *                             &lt;element name="DestinationLocation" type="{http://www.opentravel.org/OTA/2003/05}LocationType"/>
     *                             &lt;element name="TrainSegments">
     *                               &lt;complexType>
     *                                 &lt;complexContent>
     *                                   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *                                     &lt;sequence>
     *                                       &lt;element name="TrainSegment" type="{http://www.opentravel.org/OTA/2003/05}BookedTrainSegmentType" maxOccurs="9"/>
     *                                     &lt;/sequence>
     *                                   &lt;/restriction>
     *                                 &lt;/complexContent>
     *                               &lt;/complexType>
     *                             &lt;/element>
     *                           &lt;/sequence>
     *                         &lt;/restriction>
     *                       &lt;/complexContent>
     *                     &lt;/complexType>
     *                   &lt;/element>
     *                 &lt;/sequence>
     *               &lt;/restriction>
     *             &lt;/complexContent>
     *           &lt;/complexType>
     *         &lt;/element>
     *         &lt;element name="RailCharges" type="{http://www.opentravel.org/OTA/2003/05}RailChargesType" minOccurs="0"/>
     *         &lt;element name="VendorMessages" type="{http://www.opentravel.org/OTA/2003/05}VendorMessagesType" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "originandDestinations",
        "railCharges",
        "vendorMessages"
    })
    public static class Itinerary {

        @XmlElement(name = "OriginandDestinations", required = true)
        protected RailReservationType.Itinerary.OriginandDestinations originandDestinations;
        @XmlElement(name = "RailCharges")
        protected RailChargesType railCharges;
        @XmlElement(name = "VendorMessages")
        protected VendorMessagesType vendorMessages;

        /**
         * Gets the value of the originandDestinations property.
         * 
         * @return
         *     possible object is
         *     {@link RailReservationType.Itinerary.OriginandDestinations }
         *     
         */
        public RailReservationType.Itinerary.OriginandDestinations getOriginandDestinations() {
            return originandDestinations;
        }

        /**
         * Sets the value of the originandDestinations property.
         * 
         * @param value
         *     allowed object is
         *     {@link RailReservationType.Itinerary.OriginandDestinations }
         *     
         */
        public void setOriginandDestinations(RailReservationType.Itinerary.OriginandDestinations value) {
            this.originandDestinations = value;
        }

        /**
         * Gets the value of the railCharges property.
         * 
         * @return
         *     possible object is
         *     {@link RailChargesType }
         *     
         */
        public RailChargesType getRailCharges() {
            return railCharges;
        }

        /**
         * Sets the value of the railCharges property.
         * 
         * @param value
         *     allowed object is
         *     {@link RailChargesType }
         *     
         */
        public void setRailCharges(RailChargesType value) {
            this.railCharges = value;
        }

        /**
         * Gets the value of the vendorMessages property.
         * 
         * @return
         *     possible object is
         *     {@link VendorMessagesType }
         *     
         */
        public VendorMessagesType getVendorMessages() {
            return vendorMessages;
        }

        /**
         * Sets the value of the vendorMessages property.
         * 
         * @param value
         *     allowed object is
         *     {@link VendorMessagesType }
         *     
         */
        public void setVendorMessages(VendorMessagesType value) {
            this.vendorMessages = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType>
         *   &lt;complexContent>
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *       &lt;sequence>
         *         &lt;element name="OriginandDestination" maxOccurs="9">
         *           &lt;complexType>
         *             &lt;complexContent>
         *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *                 &lt;sequence>
         *                   &lt;element name="OriginLocation" type="{http://www.opentravel.org/OTA/2003/05}LocationType"/>
         *                   &lt;element name="DestinationLocation" type="{http://www.opentravel.org/OTA/2003/05}LocationType"/>
         *                   &lt;element name="TrainSegments">
         *                     &lt;complexType>
         *                       &lt;complexContent>
         *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
         *                           &lt;sequence>
         *                             &lt;element name="TrainSegment" type="{http://www.opentravel.org/OTA/2003/05}BookedTrainSegmentType" maxOccurs="9"/>
         *                           &lt;/sequence>
         *                         &lt;/restriction>
         *                       &lt;/complexContent>
         *                     &lt;/complexType>
         *                   &lt;/element>
         *                 &lt;/sequence>
         *               &lt;/restriction>
         *             &lt;/complexContent>
         *           &lt;/complexType>
         *         &lt;/element>
         *       &lt;/sequence>
         *     &lt;/restriction>
         *   &lt;/complexContent>
         * &lt;/complexType>
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "originandDestination"
        })
        public static class OriginandDestinations {

            @XmlElement(name = "OriginandDestination", required = true)
            protected List<RailReservationType.Itinerary.OriginandDestinations.OriginandDestination> originandDestination;

            /**
             * Gets the value of the originandDestination property.
             * 
             * <p>
             * This accessor method returns a reference to the live list,
             * not a snapshot. Therefore any modification you make to the
             * returned list will be present inside the JAXB object.
             * This is why there is not a <CODE>set</CODE> method for the originandDestination property.
             * 
             * <p>
             * For example, to add a new item, do as follows:
             * <pre>
             *    getOriginandDestination().add(newItem);
             * </pre>
             * 
             * 
             * <p>
             * Objects of the following type(s) are allowed in the list
             * {@link RailReservationType.Itinerary.OriginandDestinations.OriginandDestination }
             * 
             * 
             */
            public List<RailReservationType.Itinerary.OriginandDestinations.OriginandDestination> getOriginandDestination() {
                if (originandDestination == null) {
                    originandDestination = new ArrayList<RailReservationType.Itinerary.OriginandDestinations.OriginandDestination>();
                }
                return this.originandDestination;
            }


            /**
             * <p>Java class for anonymous complex type.
             * 
             * <p>The following schema fragment specifies the expected content contained within this class.
             * 
             * <pre>
             * &lt;complexType>
             *   &lt;complexContent>
             *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             *       &lt;sequence>
             *         &lt;element name="OriginLocation" type="{http://www.opentravel.org/OTA/2003/05}LocationType"/>
             *         &lt;element name="DestinationLocation" type="{http://www.opentravel.org/OTA/2003/05}LocationType"/>
             *         &lt;element name="TrainSegments">
             *           &lt;complexType>
             *             &lt;complexContent>
             *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             *                 &lt;sequence>
             *                   &lt;element name="TrainSegment" type="{http://www.opentravel.org/OTA/2003/05}BookedTrainSegmentType" maxOccurs="9"/>
             *                 &lt;/sequence>
             *               &lt;/restriction>
             *             &lt;/complexContent>
             *           &lt;/complexType>
             *         &lt;/element>
             *       &lt;/sequence>
             *     &lt;/restriction>
             *   &lt;/complexContent>
             * &lt;/complexType>
             * </pre>
             * 
             * 
             */
            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {
                "originLocation",
                "destinationLocation",
                "trainSegments"
            })
            public static class OriginandDestination {

                @XmlElement(name = "OriginLocation", required = true)
                protected LocationType originLocation;
                @XmlElement(name = "DestinationLocation", required = true)
                protected LocationType destinationLocation;
                @XmlElement(name = "TrainSegments", required = true)
                protected RailReservationType.Itinerary.OriginandDestinations.OriginandDestination.TrainSegments trainSegments;

                /**
                 * Gets the value of the originLocation property.
                 * 
                 * @return
                 *     possible object is
                 *     {@link LocationType }
                 *     
                 */
                public LocationType getOriginLocation() {
                    return originLocation;
                }

                /**
                 * Sets the value of the originLocation property.
                 * 
                 * @param value
                 *     allowed object is
                 *     {@link LocationType }
                 *     
                 */
                public void setOriginLocation(LocationType value) {
                    this.originLocation = value;
                }

                /**
                 * Gets the value of the destinationLocation property.
                 * 
                 * @return
                 *     possible object is
                 *     {@link LocationType }
                 *     
                 */
                public LocationType getDestinationLocation() {
                    return destinationLocation;
                }

                /**
                 * Sets the value of the destinationLocation property.
                 * 
                 * @param value
                 *     allowed object is
                 *     {@link LocationType }
                 *     
                 */
                public void setDestinationLocation(LocationType value) {
                    this.destinationLocation = value;
                }

                /**
                 * Gets the value of the trainSegments property.
                 * 
                 * @return
                 *     possible object is
                 *     {@link RailReservationType.Itinerary.OriginandDestinations.OriginandDestination.TrainSegments }
                 *     
                 */
                public RailReservationType.Itinerary.OriginandDestinations.OriginandDestination.TrainSegments getTrainSegments() {
                    return trainSegments;
                }

                /**
                 * Sets the value of the trainSegments property.
                 * 
                 * @param value
                 *     allowed object is
                 *     {@link RailReservationType.Itinerary.OriginandDestinations.OriginandDestination.TrainSegments }
                 *     
                 */
                public void setTrainSegments(RailReservationType.Itinerary.OriginandDestinations.OriginandDestination.TrainSegments value) {
                    this.trainSegments = value;
                }


                /**
                 * <p>Java class for anonymous complex type.
                 * 
                 * <p>The following schema fragment specifies the expected content contained within this class.
                 * 
                 * <pre>
                 * &lt;complexType>
                 *   &lt;complexContent>
                 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                 *       &lt;sequence>
                 *         &lt;element name="TrainSegment" type="{http://www.opentravel.org/OTA/2003/05}BookedTrainSegmentType" maxOccurs="9"/>
                 *       &lt;/sequence>
                 *     &lt;/restriction>
                 *   &lt;/complexContent>
                 * &lt;/complexType>
                 * </pre>
                 * 
                 * 
                 */
                @XmlAccessorType(XmlAccessType.FIELD)
                @XmlType(name = "", propOrder = {
                    "trainSegment"
                })
                public static class TrainSegments {

                    @XmlElement(name = "TrainSegment", required = true)
                    protected List<BookedTrainSegmentType> trainSegment;

                    /**
                     * Gets the value of the trainSegment property.
                     * 
                     * <p>
                     * This accessor method returns a reference to the live list,
                     * not a snapshot. Therefore any modification you make to the
                     * returned list will be present inside the JAXB object.
                     * This is why there is not a <CODE>set</CODE> method for the trainSegment property.
                     * 
                     * <p>
                     * For example, to add a new item, do as follows:
                     * <pre>
                     *    getTrainSegment().add(newItem);
                     * </pre>
                     * 
                     * 
                     * <p>
                     * Objects of the following type(s) are allowed in the list
                     * {@link BookedTrainSegmentType }
                     * 
                     * 
                     */
                    public List<BookedTrainSegmentType> getTrainSegment() {
                        if (trainSegment == null) {
                            trainSegment = new ArrayList<BookedTrainSegmentType>();
                        }
                        return this.trainSegment;
                    }

                }

            }

        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="PaymentRule" type="{http://www.opentravel.org/OTA/2003/05}MonetaryRuleType" maxOccurs="9"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "paymentRule"
    })
    public static class PaymentRules {

        @XmlElement(name = "PaymentRule", required = true)
        protected List<MonetaryRuleType> paymentRule;

        /**
         * Gets the value of the paymentRule property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the paymentRule property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getPaymentRule().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link MonetaryRuleType }
         * 
         * 
         */
        public List<MonetaryRuleType> getPaymentRule() {
            if (paymentRule == null) {
                paymentRule = new ArrayList<MonetaryRuleType>();
            }
            return this.paymentRule;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="TravelerName" type="{http://www.opentravel.org/OTA/2003/05}PersonNameType" maxOccurs="99"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "travelerName"
    })
    public static class TravelerNames {

        @XmlElement(name = "TravelerName", required = true)
        protected List<PersonNameType> travelerName;

        /**
         * Gets the value of the travelerName property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the travelerName property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getTravelerName().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link PersonNameType }
         * 
         * 
         */
        public List<PersonNameType> getTravelerName() {
            if (travelerName == null) {
                travelerName = new ArrayList<PersonNameType>();
            }
            return this.travelerName;
        }

    }

}
